﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;
using System.Runtime.Serialization;
using System.Runtime.Serialization.Formatters.Binary;

namespace Serializare
{
    public partial class Afis : Form
    {
        private List<Persoana> persoane = new List<Persoana>();

        public Afis()
        {
            InitializeComponent();
            Deserializeaza();
        }

        private void Deserializeaza()
        {
         persoane = null;
         FileStream fs = new FileStream("DatePersonale.dta",  FileMode.Open);
        try
        {
            BinaryFormatter bf = new BinaryFormatter();
            persoane = (List<Persoana>) bf.Deserialize(fs);
            foreach (Persoana per in persoane)
            {
                string temp = "";
                temp += per.Nume + " " + per.Varsta.ToString() + " " + per.Adresa;
                lAfis.Items.Add(temp);
            }
         }
        catch (Exception ex)
        {
            MessageBox.Show(ex.Message);
        }
        finally
        {
            fs.Close();
        }
    }

        private void iesire_Click(object sender, EventArgs e)
        {

        }
}

   
}
