﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;
using System.Runtime.Serialization.Formatters.Binary;

namespace Serilaization_out_gr
{
    public partial class Form1 : Form
    {
        private Stream stream;
        private BinaryFormatter bformatter;
        private List<Persoana> persoana = new List<Persoana>();

        public Form1()
        {
            InitializeComponent();
            adauga.Click += new EventHandler(adauga_click);
            salaveaza.Click += new EventHandler(salveaza_click);
            citeste.Click += new EventHandler(citeste_click);
            iese.Click += new EventHandler(iese_click);
        }

        private void adauga_click(object sender, EventArgs e)
        {
            if (txtNume.Text.Length>0 && txtVarsta.Text.Length>0 && txtAdresa.Text.Length>0)
            {
                Persoana p = new Persoana(txtNume.Text, int.Parse(txtVarsta.Text), txtAdresa.Text);
                persoana.Add(p);
                list.Items.Add(p.ToString());
                txtNume.Text = "";
                txtVarsta.Text = "";
                txtAdresa.Text = "";

            }
        }

        private void salveaza_click(object sender, EventArgs e)
        {
             if (persoana.Count>0)
             {
                 try
                 {
                     stream = File.Open("DatePersonale.dta", FileMode.Create);
                     bformatter = new BinaryFormatter();
                     bformatter.Serialize(stream, persoana);
                     list.Items.Add("Fisier creat");

                 }
                 catch (Exception ex)
                 {
                    list.Items.Add(ex.Message);
                 }
                 stream.Close();
             }
        }

        private void citeste_click(object sender, EventArgs e)
        {
            Afis af=new Afis();
            af.ShowDialog();
        }

        private void iese_click(object sender, EventArgs e)
        {
            Application.Exit();
        }
    }
}
