﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.IO;
using System.Runtime.Serialization.Formatters.Binary;

namespace serializare_out
{
    class Program
    {
        static Stream stream;
        static BinaryFormatter bformatter;
        static List<Persoana> persoana = new List<Persoana>();

        static Persoana[] pers = { new Persoana("Fred Flinstone", 34, "Bedrok langa stanci"), new Persoana("Barney Rubble", 33, "Tot Bedrok langa Fred"), new Persoana("Bugs Bunny", 10, "Undeva in padure") };
       
        static int Main(string[] args)
        {
            foreach(Persoana p in pers)
            {
                persoana.Add(p);
                Console.WriteLine(p.ToString());
            }
            try
            {
                stream = File.Open("DatePersonale.dta", FileMode.Create);
                bformatter = new BinaryFormatter();
                bformatter.Serialize(stream, persoana);
                Console.WriteLine("Fisier creat");

            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.Message);
                Console.ReadLine();
                return -1;
            }
            stream.Close();
            persoana.Clear();
            if (persoana.Count==0)
                Console.WriteLine("Lista golita");
            Console.WriteLine("Acum citire");
            try
            {
                stream = File.Open("DatePersonale.dta", FileMode.Open);
                bformatter = new BinaryFormatter();
                persoana = (List<Persoana>)bformatter.Deserialize(stream);
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.Message);
                Console.ReadLine();
                return -1;
            }
            stream.Close();
            foreach (Persoana p in persoana)
               Console.WriteLine(p.ToString());
            Console.ReadLine();
            return 0;
        }
    }
}
