﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;
using System.Xml.Serialization;

namespace serializare_xml_in_gr
{
    public partial class Form1 : Form
    {
        private TextReader stream;
        private XmlSerializer ser;
        private List<Persoana> persoana = new List<Persoana>();

        public Form1()
        {
            InitializeComponent();
            iese.Click += new EventHandler(iese_click);
            Citeste();
        }

        private void iese_click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void Citeste()
        {
            try
            {
                ser = new XmlSerializer(persoana.GetType());
                stream = new StreamReader(@"d:\Lucru\New\Aplicatii\Cursuri\CIM\serializare-xml-out-gr\serializare-xml-out-gr\bin\Debug\DatePers.xml");
                persoana = (List<Persoana>)ser.Deserialize(stream);
                foreach (Persoana p in persoana)
                    list.Items.Add(p.ToString());
                stream.Close();
            }
            catch(Exception ex)
            {
                list.Items.Add(ex.Message);
            }

        }
    }
}
