﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;
using System.Xml.Serialization;

namespace serializare_xml_out_gr
{
    public partial class Form1 : Form
    {
        private TextWriter stream;
        private XmlSerializer ser;
        private List<Persoana> persoana = new List<Persoana>();

        public Form1()
        {
            InitializeComponent();
            adauga.Click += new EventHandler(adauga_click);
            salveaza.Click += new EventHandler(salveaza_click);
            iese.Click += new EventHandler(iese_click);
        }

        private void adauga_click(object sender, EventArgs e)
        {
            if (txtNume.Text.Length>0 && txtVarsta.Text.Length>0 && txtVarsta.Text.Length>0)
            {
                Persoana p = new Persoana(txtNume.Text, int.Parse(txtVarsta.Text), txtAdresa.Text);
                persoana.Add(p);
                list.Items.Add(p.ToString());
                txtNume.Text = "";
                txtVarsta.Text = "";
                txtAdresa.Text = "";

            }
        }

        private void salveaza_click(object sender, EventArgs e)
        {
             if (persoana.Count>0)
             {
                stream = new StreamWriter("DatePers.xml");
                ser = new XmlSerializer(persoana.GetType());
                try
                {
                    ser.Serialize(stream, persoana);
                    list.Items.Add("Fisier Xml creat");
                }
                catch (Exception ex)
                {
                    list.Items.Add(ex.Message);
                }
                stream.Close(); 
             }
        }

        private void iese_click(object sender, EventArgs e)
        {
            Application.Exit();
        }


    }
}
