﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;
using System.Runtime.Serialization;
using System.Runtime.Serialization.Formatters.Binary;

namespace Serializare
{
    public partial class Form1 : Form
    {
        Stream stream;
        BinaryFormatter bformatter;
        List<Persoana> persoana = new List<Persoana>();


        public Form1()
        {
            InitializeComponent();
            stream = File.Open("DatePersonale.dta", FileMode.Create);
            bformatter = new BinaryFormatter();

        }

        private void adauga_Click(object sender, EventArgs e)
        {
            try
            {
                Persoana pers = new Persoana(nume.Text, int.Parse(varsta.Text), adresa.Text);
                persoana.Add(pers);
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
            nume.Text = "";
            varsta.Text = "";
            adresa.Text = "";

        }

        private void salvare_Click(object sender, EventArgs e)
        {
            bformatter.Serialize(stream, persoana);
            stream.Close();

        }

        private void citeste_Click(object sender, EventArgs e)
        {
            Afis af = new Afis();
            af.ShowDialog();
        }
    }
}
