﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;
using System.Runtime.Serialization.Formatters.Binary;

namespace Serilaization_out_gr
{
    public partial class Afis : Form
    {
        private Stream stream;
        private BinaryFormatter bformatter;
        private List<Persoana> persoana = new List<Persoana>();

        public Afis()
        {
            InitializeComponent();
            Afisez();
        }

        private void Afisez()
        {
            try
            {
                stream = File.Open("DatePersonale.dta", FileMode.Open);
                bformatter = new BinaryFormatter();
                persoana = (List<Persoana>)bformatter.Deserialize(stream);
            }
            catch (Exception ex)
            {
                list.Items.Add(ex.Message);
            }
            stream.Close();
            foreach (Persoana p in persoana)
                list.Items.Add(p.ToString());
        }
    }
}
