﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Runtime.Serialization;

namespace Serilaization_out_gr
{
    [Serializable()]
    class Persoana : ISerializable
    {
        private string nume;
        private int varsta;
        private string adresa;

        public Persoana()
        {
        }

        public Persoana(string n, int v, string a)
        {
            nume = n;
            varsta = v;
            adresa = a;
        }

        public Persoana(SerializationInfo info, StreamingContext ctxt)
        {
            nume = (string)info.GetValue("NPersoana", typeof(string));
            varsta = (int)info.GetValue("VPersoana", typeof(int));
            adresa = (string)info.GetValue("APersoana", typeof(string));
        }

        public void GetObjectData(SerializationInfo info, StreamingContext ctxt)
        {
            info.AddValue("NPersoana", nume);
            info.AddValue("VPersoana", varsta);
            info.AddValue("APersoana", adresa);
        }


        public string Nume
        {
            get
            {
                return nume;
            }
        }
        public int Varsta
        {
            get
            {
                return varsta;
            }
        }
        public string Adresa
        {
            get
            {
                return adresa;
            }
        }

        public override string ToString()
        {
            return nume + " " + varsta + " " + adresa;
        } 
    }
}
