﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.IO;
using System.Xml.Serialization;

namespace serializare_xml_out
{
    class Program
    {
        static TextWriter stream;
        static XmlSerializer ser;
        static List<Persoana> persoana = new List<Persoana>();

        static Persoana[] pers = { new Persoana("Fred Flinstone", 34, "Bedrok langa stanci"), new Persoana("Barney Rubble", 33, "Tot Bedrok langa Fred"), new Persoana("Bugs Bunny", 10, "Undeva in padure") };


        static int Main(string[] args)
        {
            stream = new StreamWriter("DatePers.xml");
            foreach (Persoana p in pers)
            {
                persoana.Add(p);
                Console.WriteLine(p.ToString());
            }
            ser = new XmlSerializer(persoana.GetType());
            try
            {
                ser.Serialize(stream, persoana);
                Console.WriteLine("Fisier Xml creat");
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.Message);
                Console.ReadLine();
                return -1;
            }
            stream.Close();
            Console.ReadLine();
            return 0;
        } 
    }
}
